Subject: bug#62537: Error compiling emacs master with native compilation activated

From: Mattias Engdegård <[email-masked]>
Date: Thu, 6 Apr 2023 12:42:18 +0200

5 apr. 2023 kl. 19.19 skrev Andrea Corallo <[email-masked]>:

> In 29 the bug never showed up
> (probably because the new LAP tweak is not it) so I guess it's better to
> leave the code as it is.

Actually I don't think I can prove that the LAP code will never have the pattern that triggered the bug in Emacs 29; nothing prevents it in principle from occurring anyway.

It doesn't seem safe to keep the buggy limplification in that branch -- I suggest we remove the switch-eliminating optimisation in comp.el altogether just in case. What do you think?